MCUX CLNS MCUX Crypto Library Normal Secure |

Data Fields
mcuxClCss_HwState_t Union Reference
mcuxClCss » mcuxClCss_Common » mcuxClCss_Common_Types

Result type of mcuxClCss_GetHwState. More...

`#include <mcuxClCss_Common.h>`

## Data Fields
struct {
uint32_t value
| Accesses the bit field as a full word. More...
} | word
| Access mcuxClCss_HwState_t word-wise. More...
struct {
uint32_t busy:1
| CSS is busy. More...
uint32_t irq:1
| CSS interrupt activated. More...
uint32_t err:1
| CSS is in error state. More...
uint32_t prngready:1
| CSS PRNG is seeded and ready to use. More...
uint32_t ecdsavfy:2
| ECDSA verify operation state (For possible values of this field, see MCUXCLCSS_STATUS_ECDSAVFY_) More...
uint32_t pprot:2
| The privilege/security level of the most recently started CSS command (For possible values of this field, see MCUXCLCSS_STATUS_PPROT_) More...
uint32_t drbgentlvl:2
| Entropy quality of the current DRBG instance (For possible values of this field, see MCUXCLCSS_STATUS_DRBGENTLVL_) More...
uint32_t dtrng_busy: 1
| Indicates the DTRNG is gathering entropy. More...
uint32_t __pad0__:2
| RFU. More...
uint32_t __pad1__:3
| RFU. More...
uint32_t __pad2__:1
| RFU. More...
uint32_t __pad3__:15
| RFU. More...
} | bits
| Access mcuxClCss_HwState_t bit-wise. More...

## Detailed Description

Result type of mcuxClCss_GetHwState.

Contains CSS status information.

Examples
  ecc_keygen_sign_verify.c.

## Field Documentation

## ◆ value

uint32_t mcuxClCss_HwState_t::value

Accesses the bit field as a full word.

## ◆ word

struct { ... } mcuxClCss_HwState_t::word

Access mcuxClCss_HwState_t word-wise.

## ◆ busy

uint32_t mcuxClCss_HwState_t::busy

CSS is busy.

## ◆ irq

uint32_t mcuxClCss_HwState_t::irq

CSS interrupt activated.

## ◆ err

uint32_t mcuxClCss_HwState_t::err

CSS is in error state.

## ◆ prngready

uint32_t mcuxClCss_HwState_t::prngready

CSS PRNG is seeded and ready to use.

## ◆ ecdsavfy

uint32_t mcuxClCss_HwState_t::ecdsavfy

ECDSA verify operation state (For possible values of this field, see MCUXCLCSS_STATUS_ECDSAVFY_)

Examples
  ecc_keygen_sign_verify.c.

## ◆ pprot

uint32_t mcuxClCss_HwState_t::pprot

The privilege/security level of the most recently started CSS command (For possible values of this field, see MCUXCLCSS_STATUS_PPROT_)

## ◆ drbgentlvl

uint32_t mcuxClCss_HwState_t::drbgentlvl

Entropy quality of the current DRBG instance (For possible values of this field, see MCUXCLCSS_STATUS_DRBGENTLVL_)

## ◆ dtrng_busy

uint32_t mcuxClCss_HwState_t::dtrng_busy

Indicates the DTRNG is gathering entropy.

## ◆ __pad0__

uint32_t mcuxClCss_HwState_t::__pad0__

RFU.

## ◆ __pad1__

uint32_t mcuxClCss_HwState_t::__pad1__

RFU.

## ◆ __pad2__

uint32_t mcuxClCss_HwState_t::__pad2__

RFU.

## ◆ __pad3__

uint32_t mcuxClCss_HwState_t::__pad3__

RFU.

## ◆ bits

struct { ... } mcuxClCss_HwState_t::bits

Access mcuxClCss_HwState_t bit-wise.

Examples
  ecc_keygen_sign_verify.c.